summaryrefslogtreecommitdiff
path: root/ao-bringup
diff options
context:
space:
mode:
authorBdale Garbee <bdale@gag.com>2015-07-15 16:43:50 -0600
committerBdale Garbee <bdale@gag.com>2015-07-15 16:43:50 -0600
commit643c2fb03833d658320f476ef731bbb06fe3cc31 (patch)
tree878c9df5dbd9bab9169becea4e06e8bae3529541 /ao-bringup
parente41786fb384892961a6547e17812a24314ce9623 (diff)
parent271f56a41c7e785b0fab7e572325df842d104277 (diff)
Merge branch 'master' of ssh://git.gag.com/scm/git/fw/altos
Diffstat (limited to 'ao-bringup')
-rwxr-xr-xao-bringup/cal-freq48
-rwxr-xr-xao-bringup/test-easymega2
-rwxr-xr-xao-bringup/test-telemetrum1
-rwxr-xr-xao-bringup/turnon_easymega12
-rwxr-xr-xao-bringup/turnon_telegps4
5 files changed, 20 insertions, 47 deletions
diff --git a/ao-bringup/cal-freq b/ao-bringup/cal-freq
index 5d876e21..d3d9dc95 100755
--- a/ao-bringup/cal-freq
+++ b/ao-bringup/cal-freq
@@ -10,42 +10,16 @@ case $# in
;;
esac
-while true; do
- echo 'C 1' > $dev
-
- echo -n "Generating RF carrier. Please enter measured frequency [enter for done]: "
-
- read FREQ
-
- echo 'C 0' > $dev
-
+../ao-tools/ao-cal-freq/ao-cal-freq --dev=$dev
+case $? in
+ 0)
calline=`./get-radio-cal $dev`
- CURRENT_CAL=`echo $calline | awk '{print $2}'`
+ CAL_VALUE=`echo $calline | awk '{print $2}'`
CURRENT_FREQ=`echo $calline | awk '{print $4}'`
- CAL_VALUE=$CURRENT_CAL
-
- case "$FREQ" in
- "")
- echo $SERIAL","$CAL_VALUE >> cal_values
- exit 0
- ;;
- *)
- echo "Current radio calibration "$CURRENT_CAL
- echo "Current radio frequency "$CURRENT_FREQ
-
- CAL_VALUE=`nickle -e "floor($CURRENT_FREQ / $FREQ * $CURRENT_CAL + 0.5)"`
-
- echo "Programming flash with cal value " $CAL_VALUE
-
- dd if=$dev iflag=nonblock
-
- cat << EOF > $dev
-c f $CAL_VALUE
-c w
-EOF
-
- echo "Serial number "$SERIAL" programmed with RF cal value "$CAL_VALUE
- ;;
- esac
-done
-
+ echo $SERIAL","$CAL_VALUE >> cal_values
+ exit 0
+ ;;
+ *)
+ exit 1
+ ;;
+esac
diff --git a/ao-bringup/test-easymega b/ao-bringup/test-easymega
index 76f3effb..2f0a7822 100755
--- a/ao-bringup/test-easymega
+++ b/ao-bringup/test-easymega
@@ -12,7 +12,7 @@ echo "\t$PRODUCT v$VERSION powered from USB"
echo
ret=1
-ao-list | while read product serial dev; do
+../ao-tools/ao-list/ao-list | while read product serial dev; do
case "$product" in
"$PRODUCT-v$VERSION")
diff --git a/ao-bringup/test-telemetrum b/ao-bringup/test-telemetrum
index 57a4d90d..13407e86 100755
--- a/ao-bringup/test-telemetrum
+++ b/ao-bringup/test-telemetrum
@@ -61,6 +61,7 @@ ao-list | while read product serial dev; do
echo""
echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+ echo "\007"
ret=0
;;
esac
diff --git a/ao-bringup/turnon_easymega b/ao-bringup/turnon_easymega
index b313e162..1e75e72f 100755
--- a/ao-bringup/turnon_easymega
+++ b/ao-bringup/turnon_easymega
@@ -1,14 +1,14 @@
#!/bin/sh
-if [ -x /usr/bin/ao-flash-stm ]; then
- STMLOAD=/usr/bin/ao-flash-stm
+if [ -x ../ao-tools/ao-flash/ao-flash-stm ]; then
+ STMLOAD=../ao-tools/ao-flash/ao-flash-stm
else
echo "Can't find ao-flash-stm! Aborting."
exit 1
fi
-if [ -x /usr/bin/ao-usbload ]; then
- USBLOAD=/usr/bin/ao-usbload
+if [ -x ../ao-tools/ao-usbload/ao-usbload ]; then
+ USBLOAD=../ao-tools/ao-usbload/ao-usbload
else
echo "Can't find ao-usbload! Aborting."
exit 1
@@ -38,7 +38,7 @@ $USBLOAD --serial=$SERIAL $REPO/easymega-v$VERSION*.elf || exit 1
sleep 2
-dev=`ao-list | awk '/EasyMega-v'"$VERSION"'/ { print $3; exit(0); }'`
+dev=`../ao-tools/ao-list/ao-list | awk '/EasyMega-v'"$VERSION"'/ { print $3; exit(0); }'`
case "$dev" in
/dev/tty*)
@@ -52,7 +52,7 @@ esac
echo 'E 0' > $dev
-../ao-tools/ao-cal-accel/ao-cal-accel $dev
+../ao-tools/ao-cal-accel/ao-cal-accel $dev || exit 1
echo 'E 1' > $dev
diff --git a/ao-bringup/turnon_telegps b/ao-bringup/turnon_telegps
index 123f0b54..ba97d503 100755
--- a/ao-bringup/turnon_telegps
+++ b/ao-bringup/turnon_telegps
@@ -72,10 +72,8 @@ case "$dev" in
;;
esac
-echo 'E 0' > $dev
+SERIAL=$SERIAL ./cal-freq $dev
./test-telegps
-SERIAL=$SERIAL ./cal-freq $dev
-
exit $?